Skip to main content
`Ctrl`+`K`

# EPSGetOptionsPrefix

Gets the prefix used for searching for all `EPS` options in the database.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSGetOptionsPrefix(EPS eps,const char *prefix[])

Not Collective

## Input Parameter

- eps - the linear eigensolver context

## Output Parameter

- prefix - pointer to the prefix string used is returned

## See Also

EPS: Eigenvalue Problem Solver, `EPSSetOptionsPrefix()`, `EPSAppendOptionsPrefix()`

## Level

advanced

## Location

src/eps/interface/epsopts.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages